Name: widelands
%define _internal_version build-12
Version: b12
Release: alt1
Summary: %name - fantasy real-time strategy game
Group: Games/Strategy
License: GPL
Url: http://www.widelands.org
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://downloads.sourceforge.net/%name/%name-%_internal_version-source.tar.bz2
Source1: %name.desktop
Source2: %name.watch

# Automatically added by buildreq on Mon Apr 21 2008
BuildRequires: boost-devel ctags cvs esound flex gcc-c++ ghostscript-utils git-core libpng-devel libSDL_sound-devel libSDL_gfx-devel libSDL_image-devel libSDL_mixer-devel libSDL_net-devel libSDL_ttf-devel optipng python-dev scons swig tetex-latex libSDL-devel
BuildRequires: desktop-file-utils

%description
Widelands is a strategy game aiming for gameplay similar to Settlers II by
BlueByte.

In this game, you start out on a small piece of land with nothing more than
a few of useful resources. Using those, you can build yourself an empire
with many thousands of inhabitants. On your way towards this goal, you will
have to build up an economic infrastructure, explore the lands around you
and face enemies who are trying to rule the world just like you do.

%package data
Summary: %name - fantasy real-time strategy game (data files)
Group: Games/Strategy
Requires: %name = %version
%description data
Widelands is a strategy game aiming for gameplay similar to Settlers II by
BlueByte.

In this game, you start out on a small piece of land with nothing more than
a few of useful resources. Using those, you can build yourself an empire
with many thousands of inhabitants. On your way towards this goal, you will
have to build up an economic infrastructure, explore the lands around you
and face enemies who are trying to rule the world just like you do.

%prep
%setup -n %name

%build
scons \
	build=release \
	install_prefix=%_prefix \
	localedir=%_datadir/locale 

%install
mkdir -p %buildroot%prefix/{games,share/{games/%name,applications,pixmaps}}
install -m755 %name %buildroot%_gamesbindir
cp -r campaigns fonts maps music pics sound tribes txts worlds %buildroot%_gamesdatadir/%name
cp -r locale %buildroot%_datadir
install %SOURCE1 %buildroot%_desktopdir
install -m644 pics/wl-ico-64.png %buildroot%_pixmapsdir/widelands.png

%post
%update_menus
%update_desktopdb
%postun
%clean_menus
%clean_desktopdb

%files
%_gamesbindir/%name
%_desktopdir/*.desktop
%_datadir/locale/*/*/*
%_pixmapsdir/*.png
%dir %_gamesdatadir/%name

%files data
%_gamesdatadir/%name/*

%changelog
* Mon Apr 21 2008 Eugene Ostapets <eostapets@altlinux.ru> b12-alt1
- First build for ALTLinux

